Skip to main content
PATCH
/
v1
/
assets
/
{assetTypeName}
/
{assetId}
/
related
Update Related Assets
curl --request PATCH \
  --url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}/related \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>"
  }
]
'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "asset_type": "<string>",
      "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "asset_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "is_source": true,
      "description": "<string>",
      "created_by": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

assetTypeName
string
required

Asset type name

assetId
string<uuid>
required

Asset ID

Body

application/json
Required array length: 1 - 50 elements
id
string<uuid>
required

Reference ID

description
string | null
required

Note or description for this relationship

Maximum string length: 1000

Response

Default Response

items
object[]